/**
 * @file
 * Sharpspring Webforms specific javascript.
 */

"use strict";

/**
 * Custom validation handler.
 *
 * Allows better integration with the Clientside Validation module.
 *
 * @param submitEvent
 *   submit object returned from Sharpspring
 */
function sharpSpringClientsideValidation(submitEvent) {
  var retVal = false;
  
  if (submitEvent.srcElement.id) {
    retVal = jQuery('#' + submitEvent.srcElement.id).valid();
  }

  return retVal;
}
